#!/usr/bin/env python3
"""
randomize2.py
by Javantea
Updated: Nov 11, 2015
Originally written: unknown
Previous update: June 7, 2010

Randomize a list of stuff.
Like XMMS's randomize, but command line.
Does not accept things that aren't unicode.
"""
from __future__ import print_function
import random

def main():
	from sys import stdin, argv
	if len(argv) > 1:
		random.seed(argv[1])
	#end if
	sData = stdin.read()
	lData = sData.split('\n')
	
	random.shuffle(lData)
	for name in lData:
		print(name)
	#next name

#end def main()

# usually we need to do something if we are being called rather than used.
if __name__ == '__main__':
	main()
#end if

